﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;

namespace HeuristicLab.Services.Hive.Common {
  public class ApplicationConstants {
    public static TimeSpan SlaveHeartbeatTimeout = TimeSpan.FromMinutes(1);

    public static TimeSpan CalculatingJobHeartbeatTimeout = TimeSpan.FromMinutes(5.5);

    public static TimeSpan TransferringJobHeartbeatTimeout = TimeSpan.FromMinutes(5.5);

    /// <summary>
    /// Timeout for long running database command (storing or loading jobData)
    /// </summary>
    public static TimeSpan LongRunningDatabaseCommandTimeout = TimeSpan.FromMinutes(5);

    /// <summary>
    /// Interval in which the HL.HiveExperiment will poll results from server
    /// </summary>
    public static TimeSpan ResultPollingInterval = TimeSpan.FromSeconds(10);
  }
}
